diff --git a/doc/bash.0 b/doc/bash.0
index 3542cb61..8a3d8177 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -6008,14 +6009,14 @@ AAUUTTHHOORRSS
 
 BBUUGG RREEPPOORRTTSS
        If you find a bug in bbaasshh,, you should report it.  But first, you should
-       make  sure  that  it really is a bug, and that it appears in the latest
-       version  of  bbaasshh.   The  latest  version  is  always  available   from
+       make sure that it really is a bug, and that it appears  in  the  latest
+       version   of  bbaasshh.   The  latest  version  is  always  available  from
        _f_t_p_:_/_/_f_t_p_._g_n_u_._o_r_g_/_p_u_b_/_g_n_u_/_b_a_s_h_/.
 
-       Once  you  have  determined that a bug actually exists, use the _b_a_s_h_b_u_g
-       command to submit a bug report.  If you have a fix, you are  encouraged
-       to  mail that as well!  Suggestions and `philosophical' bug reports may
-       be mailed  to  _b_u_g_-_b_a_s_h_@_g_n_u_._o_r_g  or  posted  to  the  Usenet  newsgroup
+       Once you have determined that a bug actually exists,  use  the  _b_a_s_h_b_u_g
+       command  to submit a bug report.  If you have a fix, you are encouraged
+       to mail that as well!  Suggestions and `philosophical' bug reports  may
+       be  mailed  to  _b_u_g_-_b_a_s_h_@_g_n_u_._o_r_g  or  posted  to  the  Usenet newsgroup
        ggnnuu..bbaasshh..bbuugg.
 
        ALL bug reports should include:
@@ -6026,7 +6027,7 @@ BBUUGG RREEPPOORRTTSS
        A description of the bug behaviour
        A short script or `recipe' which exercises the bug
 
-       _b_a_s_h_b_u_g  inserts  the first three items automatically into the template
+       _b_a_s_h_b_u_g inserts the first three items automatically into  the  template
        it provides for filing a bug report.
 
        Comments and bug reports concerning this manual page should be directed
@@ -6043,10 +6044,10 @@ BBUUGGSS
        Shell builtin commands and functions are not stoppable/restartable.
 
        Compound commands and command sequences of the form `a ; b ; c' are not
-       handled  gracefully  when  process  suspension  is  attempted.   When a
-       process is stopped, the shell immediately executes the next command  in
-       the  sequence.   It  suffices to place the sequence of commands between
-       parentheses to force it into a subshell, which  may  be  stopped  as  a
+       handled gracefully  when  process  suspension  is  attempted.   When  a
+       process  is stopped, the shell immediately executes the next command in
+       the sequence.  It suffices to place the sequence  of  commands  between
+       parentheses  to  force  it  into  a subshell, which may be stopped as a
        unit.
 
        Array variables may not (yet) be exported.
@@ -6055,4 +6056,4 @@ BBUUGGSS
 
 
 
-GNU Bash 4.4                     2017 June 23                          BASH(1)
+GNU Bash 4.4                    2017 October 7                         BASH(1)
diff --git a/doc/bash.info b/doc/bash.info
index c4523ffb..1fcaa314 100644
--- a/doc/bash.info
+++ b/doc/bash.info
@@ -2,9 +2,9 @@ This is bash.info, produced by makeinfo version 6.4 from
 bashref.texi.
 
 This text is a brief description of the features that are present in the
-Bash shell (version 4.4, 23 June 2017).
+Bash shell (version 4.4, 7 October 2017).
 
-   This is Edition 4.4, last updated 23 June 2017, of 'The GNU Bash
+   This is Edition 4.4, last updated 7 October 2017, of 'The GNU Bash
 Reference Manual', for 'Bash', Version 4.4.
 
    Copyright (C) 1988-2017 Free Software Foundation, Inc.
@@ -27,10 +27,10 @@ Bash Features
 *************
 
 This text is a brief description of the features that are present in the
-Bash shell (version 4.4, 23 June 2017).  The Bash home page is
+Bash shell (version 4.4, 7 October 2017).  The Bash home page is
 <http://www.gnu.org/software/bash/>.
 
-   This is Edition 4.4, last updated 23 June 2017, of 'The GNU Bash
+   This is Edition 4.4, last updated 7 October 2017, of 'The GNU Bash
 Reference Manual', for 'Bash', Version 4.4.
 
    Bash contains features that appear in other popular shells, and some
@@ -2551,11 +2551,11 @@ taken.
      '$PATH' is performed only if the command is not found in the hash
      table.  If the search is unsuccessful, the shell searches for a
      defined shell function named 'command_not_found_handle'.  If that
-     function exists, it is invoked with the original command and the
-     original command's arguments as its arguments, and the function's
-     exit status becomes the exit status of the shell.  If that function
-     is not defined, the shell prints an error message and returns an
-     exit status of 127.
+     function exists, it is invoked in a separate execution environment
+     with the original command and the original command's arguments as
+     its arguments, and the function's exit status becomes the exit
+     status of that subshell.  If that function is not defined, the
+     shell prints an error message and returns an exit status of 127.
 
   4. If the search is successful, or if the command name contains one or
      more slashes, the shell executes the named program in a separate
@@ -11504,134 +11504,134 @@ D.5 Concept Index
 
 
 Tag Table:
-Node: Top889
-Node: Introduction2801
-Node: What is Bash?3017
-Node: What is a shell?4131
-Node: Definitions6669
-Node: Basic Shell Features9620
-Node: Shell Syntax10839
-Node: Shell Operation11865
-Node: Quoting13158
-Node: Escape Character14458
-Node: Single Quotes14943
-Node: Double Quotes15291
-Node: ANSI-C Quoting16569
-Node: Locale Translation17828
-Node: Comments18724
-Node: Shell Commands19342
-Node: Simple Commands20214
-Node: Pipelines20845
-Node: Lists23777
-Node: Compound Commands25516
-Node: Looping Constructs26528
-Node: Conditional Constructs29023
-Node: Command Grouping40078
-Node: Coprocesses41557
-Node: GNU Parallel43389
-Node: Shell Functions47363
-Node: Shell Parameters54562
-Node: Positional Parameters58975
-Node: Special Parameters59875
-Node: Shell Expansions63212
-Node: Brace Expansion65335
-Node: Tilde Expansion68169
-Node: Shell Parameter Expansion70517
-Node: Command Substitution84694
-Node: Arithmetic Expansion86049
-Node: Process Substitution86981
-Node: Word Splitting88101
-Node: Filename Expansion90045
-Node: Pattern Matching92419
-Node: Quote Removal96405
-Node: Redirections96700
-Node: Executing Commands106258
-Node: Simple Command Expansion106928
-Node: Command Search and Execution108858
-Node: Command Execution Environment111194
-Node: Environment114178
-Node: Exit Status115837
-Node: Signals117507
-Node: Shell Scripts119474
-Node: Shell Builtin Commands121989
-Node: Bourne Shell Builtins124027
-Node: Bash Builtins144682
-Node: Modifying Shell Behavior173591
-Node: The Set Builtin173936
-Node: The Shopt Builtin184349
-Node: Special Builtins200684
-Node: Shell Variables201663
-Node: Bourne Shell Variables202100
-Node: Bash Variables204204
-Node: Bash Features233997
-Node: Invoking Bash234896
-Node: Bash Startup Files240882
-Node: Interactive Shells245985
-Node: What is an Interactive Shell?246395
-Node: Is this Shell Interactive?247044
-Node: Interactive Shell Behavior247859
-Node: Bash Conditional Expressions251347
-Node: Shell Arithmetic255713
-Node: Aliases258530
-Node: Arrays261078
-Node: The Directory Stack266240
-Node: Directory Stack Builtins267024
-Node: Controlling the Prompt269992
-Node: The Restricted Shell272754
-Node: Bash POSIX Mode274579
-Node: Job Control284930
-Node: Job Control Basics285390
-Node: Job Control Builtins290358
-Node: Job Control Variables295085
-Node: Command Line Editing296241
-Node: Introduction and Notation297912
-Node: Readline Interaction299535
-Node: Readline Bare Essentials300726
-Node: Readline Movement Commands302509
-Node: Readline Killing Commands303469
-Node: Readline Arguments305387
-Node: Searching306431
-Node: Readline Init File308617
-Node: Readline Init File Syntax309764
-Node: Conditional Init Constructs329951
-Node: Sample Init File332476
-Node: Bindable Readline Commands335593
-Node: Commands For Moving336797
-Node: Commands For History338646
-Node: Commands For Text342941
-Node: Commands For Killing346330
-Node: Numeric Arguments348811
-Node: Commands For Completion349950
-Node: Keyboard Macros354141
-Node: Miscellaneous Commands354828
-Node: Readline vi Mode360781
-Node: Programmable Completion361688
-Node: Programmable Completion Builtins369149
-Node: A Programmable Completion Example379035
-Node: Using History Interactively384286
-Node: Bash History Facilities384970
-Node: Bash History Builtins387971
-Node: History Interaction392263
-Node: Event Designators395325
-Node: Word Designators396544
-Node: Modifiers398181
-Node: Installing Bash399583
-Node: Basic Installation400720
-Node: Compilers and Options403411
-Node: Compiling For Multiple Architectures404152
-Node: Installation Names405815
-Node: Specifying the System Type406633
-Node: Sharing Defaults407349
-Node: Operation Controls408022
-Node: Optional Features408980
-Node: Reporting Bugs419506
-Node: Major Differences From The Bourne Shell420700
-Node: GNU Free Documentation License437552
-Node: Indexes462729
-Node: Builtin Index463183
-Node: Reserved Word Index470010
-Node: Variable Index472458
-Node: Function Index488136
-Node: Concept Index501439
+Node: Top893
+Node: Introduction2809
+Node: What is Bash?3025
+Node: What is a shell?4139
+Node: Definitions6677
+Node: Basic Shell Features9628
+Node: Shell Syntax10847
+Node: Shell Operation11873
+Node: Quoting13166
+Node: Escape Character14466
+Node: Single Quotes14951
+Node: Double Quotes15299
+Node: ANSI-C Quoting16577
+Node: Locale Translation17836
+Node: Comments18732
+Node: Shell Commands19350
+Node: Simple Commands20222
+Node: Pipelines20853
+Node: Lists23785
+Node: Compound Commands25524
+Node: Looping Constructs26536
+Node: Conditional Constructs29031
+Node: Command Grouping40086
+Node: Coprocesses41565
+Node: GNU Parallel43397
+Node: Shell Functions47371
+Node: Shell Parameters54570
+Node: Positional Parameters58983
+Node: Special Parameters59883
+Node: Shell Expansions63220
+Node: Brace Expansion65343
+Node: Tilde Expansion68177
+Node: Shell Parameter Expansion70525
+Node: Command Substitution84702
+Node: Arithmetic Expansion86057
+Node: Process Substitution86989
+Node: Word Splitting88109
+Node: Filename Expansion90053
+Node: Pattern Matching92427
+Node: Quote Removal96413
+Node: Redirections96708
+Node: Executing Commands106266
+Node: Simple Command Expansion106936
+Node: Command Search and Execution108866
+Node: Command Execution Environment111242
+Node: Environment114226
+Node: Exit Status115885
+Node: Signals117555
+Node: Shell Scripts119522
+Node: Shell Builtin Commands122037
+Node: Bourne Shell Builtins124075
+Node: Bash Builtins144730
+Node: Modifying Shell Behavior173639
+Node: The Set Builtin173984
+Node: The Shopt Builtin184397
+Node: Special Builtins200732
+Node: Shell Variables201711
+Node: Bourne Shell Variables202148
+Node: Bash Variables204252
+Node: Bash Features234045
+Node: Invoking Bash234944
+Node: Bash Startup Files240930
+Node: Interactive Shells246033
+Node: What is an Interactive Shell?246443
+Node: Is this Shell Interactive?247092
+Node: Interactive Shell Behavior247907
+Node: Bash Conditional Expressions251395
+Node: Shell Arithmetic255761
+Node: Aliases258578
+Node: Arrays261126
+Node: The Directory Stack266288
+Node: Directory Stack Builtins267072
+Node: Controlling the Prompt270040
+Node: The Restricted Shell272802
+Node: Bash POSIX Mode274627
+Node: Job Control284978
+Node: Job Control Basics285438
+Node: Job Control Builtins290406
+Node: Job Control Variables295133
+Node: Command Line Editing296289
+Node: Introduction and Notation297960
+Node: Readline Interaction299583
+Node: Readline Bare Essentials300774
+Node: Readline Movement Commands302557
+Node: Readline Killing Commands303517
+Node: Readline Arguments305435
+Node: Searching306479
+Node: Readline Init File308665
+Node: Readline Init File Syntax309812
+Node: Conditional Init Constructs329999
+Node: Sample Init File332524
+Node: Bindable Readline Commands335641
+Node: Commands For Moving336845
+Node: Commands For History338694
+Node: Commands For Text342989
+Node: Commands For Killing346378
+Node: Numeric Arguments348859
+Node: Commands For Completion349998
+Node: Keyboard Macros354189
+Node: Miscellaneous Commands354876
+Node: Readline vi Mode360829
+Node: Programmable Completion361736
+Node: Programmable Completion Builtins369197
+Node: A Programmable Completion Example379083
+Node: Using History Interactively384334
+Node: Bash History Facilities385018
+Node: Bash History Builtins388019
+Node: History Interaction392311
+Node: Event Designators395373
+Node: Word Designators396592
+Node: Modifiers398229
+Node: Installing Bash399631
+Node: Basic Installation400768
+Node: Compilers and Options403459
+Node: Compiling For Multiple Architectures404200
+Node: Installation Names405863
+Node: Specifying the System Type406681
+Node: Sharing Defaults407397
+Node: Operation Controls408070
+Node: Optional Features409028
+Node: Reporting Bugs419554
+Node: Major Differences From The Bourne Shell420748
+Node: GNU Free Documentation License437600
+Node: Indexes462777
+Node: Builtin Index463231
+Node: Reserved Word Index470058
+Node: Variable Index472506
+Node: Function Index488184
+Node: Concept Index501487
 
 End Tag Table
